Did I find the right examples for you? yes no

All Samples(16)  |  Call(0)  |  Derive(0)  |  Import(16)

src/a/n/antisocial-HEAD/ve/lib/python2.7/site-packages/IPython/core/debugger.py   antisocial(Download)
if '--pydb' in sys.argv:
    try:
        import pydb
        if hasattr(pydb.pydb, "runl") and pydb.version>'1.17':
            # Version 1.17 is broken, and that's what ships with Ubuntu Edgy, so we

src/p/y/pydb-HEAD/pydb/sighandler.py   pydb(Download)
    def __init__(self, pydb=None, ignore_list=None, default_print=True):
        if pydb is None:
            import pydb
            self.pydb = pydb.Pdb()
        else:
                ## FIXME not sure if this is really right
                if frame.f_trace is None:
                    import pydb
                    pydb.debugger()
                else:

src/k/u/kuma-lib-HEAD/packages/ipython/IPython/Extensions/ipy_pydb.py   kuma-lib(Download)
def call_pydb(self, args):
    """Invoke pydb with the supplied parameters."""
    try:
        import pydb
    except ImportError:

src/p/y/pydb-HEAD/Doc/lib/hardtodebug.py   pydb(Download)
import pydb
# some code here
def test():
    # Force a call to the debugger in running code here
    pydb.set_trace()

src/k/u/kuma-lib-HEAD/packages/ipython/IPython/Debugger.py   kuma-lib(Download)
if '-pydb' in sys.argv:
    try:        
        import pydb
        if hasattr(pydb.pydb, "runl") and pydb.version>'1.17':
            # Version 1.17 is broken, and that's what ships with Ubuntu Edgy, so we

src/p/y/pydb-HEAD/pydb/threaddbg.py   pydb(Download)
### - Go over for robustness, 
 
import bdb, inspect, os, pydb, sys
import fns
 

src/p/y/pydb-HEAD/pydb/complete.py   pydb(Download)
    c=[]; seen={}
    assert list_completions(l, "o",  seen, c, "foo") == []
    import pydb
    dbg = pydb.Pdb()
    dbg.curframe = None

src/i/p/ipython-2.0.0/IPython/core/debugger.py   ipython(Download)
if '--pydb' in sys.argv:
    try:
        import pydb
        if hasattr(pydb.pydb, "runl") and pydb.version>'1.17':
            # Version 1.17 is broken, and that's what ships with Ubuntu Edgy, so we

src/i/p/ipython-HEAD/IPython/core/debugger.py   ipython(Download)
if '--pydb' in sys.argv:
    try:
        import pydb
        if hasattr(pydb.pydb, "runl") and pydb.version>'1.17':
            # Version 1.17 is broken, and that's what ships with Ubuntu Edgy, so we

src/i/p/ipython-py3k-HEAD/IPython/quarantine/ipy_pydb.py   ipython-py3k(Download)
def call_pydb(self, args):
    """Invoke pydb with the supplied parameters."""
    try:
        import pydb
    except ImportError:

  1 | 2  Next